commit 6d6613d43f46cef630ab7674dbe2ce9477bc5c52
Author: Dominik Poch <dpoch@email.cz>
Date:   Sun Apr 17 01:13:46 2022 +0200

    Changed colors of dummy tags
    
    Changed colors of dummy tags to show different colors in the tag tree

diff --git a/Backend/Core/Seeding/DummyTags.cs b/Backend/Core/Seeding/DummyTags.cs
index 0b798e8..09f462a 100644
--- a/Backend/Core/Seeding/DummyTags.cs
+++ b/Backend/Core/Seeding/DummyTags.cs
@@ -24,7 +24,7 @@ namespace Core.Seeding
             {
                 Name = "Práva subjektů údajů",
                 Description = "",
-                Color = ""
+                Color = "#FF0000"
             };
             context.TagCategories.Add(rightsCat);
 
@@ -32,7 +32,7 @@ namespace Core.Seeding
             {
                 Name = "pristup_zadost",
                 Description = "Informování subjektu o jeho právu na přístup k osobním údajům vztahujícím se k jeho osobě na jeho žádost.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(pristupZadostTag);
@@ -41,7 +41,7 @@ namespace Core.Seeding
             {
                 Name = "pristup_zadost_doplneni",
                 Description = "Instrukce pro subjekt, jakým způsobem má podat žádost.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(pristupZadostDoplneniTag);
@@ -50,7 +50,7 @@ namespace Core.Seeding
             {
                 Name = "omezeni_pristupu_zadost",
                 Description = "Informace o důvodech, z jakých může správce omezit či odmítnout vyhovění žádosti.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(omezeniPristupuZadostTag);
@@ -59,7 +59,7 @@ namespace Core.Seeding
             {
                 Name = "oprava_zadost",
                 Description = "Informování subjektu o jeho právu na opravu osobních údajů vztahujícím se k jeho osobě na jeho žádost.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(opravaZadostTag);
@@ -68,7 +68,7 @@ namespace Core.Seeding
             {
                 Name = "omezeni_zpracovani_zadost",
                 Description = "Informování subjektu o možnosti omezit zpracování osobních údajů místo jejich opravy či výmazu.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(omezeniZpracovaniZadostTag);
@@ -77,7 +77,7 @@ namespace Core.Seeding
             {
                 Name = "vymaz_zadost",
                 Description = "Informování subjektu o jeho právu na výmaz osobních údajů vztahujících se k jeho osobě na jeho žádost.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(vymazZadostTag);
@@ -86,7 +86,7 @@ namespace Core.Seeding
             {
                 Name = "zaznam_zadost",
                 Description = "Lhůta, zákonná či správcem určená, po kterou správce uchovává záznam o žádosti a způsobu jejího vyřízení.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(zaznamZadostTag);
@@ -95,7 +95,7 @@ namespace Core.Seeding
             {
                 Name = "lhuta_zadost",
                 Description = "Lhůta, zákonem či správcem určená, pro vyřízení žádosti od subjektu.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(lhutaZadostTag);
@@ -104,7 +104,7 @@ namespace Core.Seeding
             {
                 Name = "namitka_zadost",
                 Description = "Informace o možnosti podat námitku ohledně vyřízení žádosti správcem.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(namitkaZadostTag);
@@ -113,7 +113,7 @@ namespace Core.Seeding
             {
                 Name = "podnet_zadost",
                 Description = "Informace o možnosti obrátit se na ÚOOÚ s podnětem o ověření zákonnosti.",
-                Color = "",
+                Color = "#FF0000",
                 Category = rightsCat        
             };
             context.Tags.Add(podnetZadostTag);
@@ -125,7 +125,7 @@ namespace Core.Seeding
             {
                 Name = "Síťové identifikátory (cookies)",
                 Description = "",
-                Color = ""
+                Color = "#00FF00"
             };
             context.TagCategories.Add(cookiesCat);
 
@@ -133,7 +133,7 @@ namespace Core.Seeding
             {
                 Name = "pouziti_cookies",
                 Description = "Informace o tom, zda jsou použity cookies",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat        
             };
             context.Tags.Add(pouzitiCookiesTag);
@@ -142,7 +142,7 @@ namespace Core.Seeding
             {
                 Name = "vysvetlivka_cookies",
                 Description = "Informace o tom, co jsou cookies a jak zpracovávají osobní údaje",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(vysvetlivkaCookiesTag);
@@ -151,7 +151,7 @@ namespace Core.Seeding
             {
                 Name = "typ_cookies",
                 Description = "Informace o použití dočasných nebo trvalých souborů cookies",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(typCookiesTag);
@@ -160,7 +160,7 @@ namespace Core.Seeding
             {
                 Name = "doba_cookies",
                 Description = "Informace o lhůtě uložení trvalých cookies",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(dobaCookiesTag);
@@ -169,7 +169,7 @@ namespace Core.Seeding
             {
                 Name = "pouzite_systemy",
                 Description = "Využití vlastních technických systémů, využití Google Analytics, využití dalších systémů  (např. NetMonitor, Recombee, Hotjar, …)",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(pouziteSystemyTag);
@@ -178,7 +178,7 @@ namespace Core.Seeding
             {
                 Name = "cookies_tretich_stran",
                 Description = "Informace o využívání cookies třetích stran (Google, Facebook, Sklik, …)",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(cookiesTretichStranTag);
@@ -187,7 +187,7 @@ namespace Core.Seeding
             {
                 Name = "ucely_cookies",
                 Description = "Informace o tom, za jakými účely jsou prostřednictvím prohlížeče do přístroje ukládány cookies",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(ucelyCookiesTag);
@@ -196,7 +196,7 @@ namespace Core.Seeding
             {
                 Name = "merici_pixely",
                 Description = "Informace o tom, že web používá tzv. měřící pixely",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(mericiPixelyTag);
@@ -205,7 +205,7 @@ namespace Core.Seeding
             {
                 Name = "jmeno_cookies",
                 Description = "Jméno použité cookies.",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(jmenoCookiesTag);
@@ -214,7 +214,7 @@ namespace Core.Seeding
             {
                 Name = "vypnuti_cookies",
                 Description = "Návod na vypnutí cookies.",
-                Color = "",
+                Color = "#00FF00",
                 Category = cookiesCat
             };
             context.Tags.Add(vypnutiCookiesTag);
@@ -226,7 +226,7 @@ namespace Core.Seeding
             {
                 Name = "Subjekty",
                 Description = "",
-                Color = ""
+                Color = "#0000FF"
             };
             context.TagCategories.Add(subjectsCat);
 
@@ -234,7 +234,7 @@ namespace Core.Seeding
             {
                 Name = "spravce",
                 Description = "Název správce",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat
             };
             context.Tags.Add(spravceTag);
@@ -243,7 +243,7 @@ namespace Core.Seeding
             {
                 Name = "kontakt_spravce_email",
                 Description = "Kontakt na správce – email",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(kontaktSpravceEmailTag);
@@ -252,7 +252,7 @@ namespace Core.Seeding
             {
                 Name = "kontakt_spravce_adresa",
                 Description = "Kontakt na správce – adresa",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(kontaktSpravceAdresaTag);
@@ -261,7 +261,7 @@ namespace Core.Seeding
             {
                 Name = "kontakt_spravce_tel",
                 Description = "Kontakt na správce – telefon",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(kontaktSpravceTelTag);
@@ -270,7 +270,7 @@ namespace Core.Seeding
             {
                 Name = "kontakt_spravce_namitky",
                 Description = "Zvláštní kontakt pro vznášení námitek a dotazů ohledně zpracování osobních údajů (např. specializovaný email)",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(kontaktSpravceNamitkyTag);
@@ -279,7 +279,7 @@ namespace Core.Seeding
             {
                 Name = "spol_spravce",
                 Description = "Název společného správce",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(spolSpravceTag);
@@ -288,7 +288,7 @@ namespace Core.Seeding
             {
                 Name = "kontakt_spol_spravce",
                 Description = "Kontakt na společného správce",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(kontaktSpolSpravceTag);
@@ -297,7 +297,7 @@ namespace Core.Seeding
             {
                 Name = "zpracovatel",
                 Description = "Název zpracovatele",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(zpracovatelTag);
@@ -306,7 +306,7 @@ namespace Core.Seeding
             {
                 Name = "kontakt_zpracovatel",
                 Description = "Kontakt na zpracovatele",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(kontaktZpracovatelTag);
@@ -315,7 +315,7 @@ namespace Core.Seeding
             {
                 Name = "poverenec",
                 Description = "Kontakt na pověřence pro ochranu osobních údajů",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(poverenecTag);
@@ -324,7 +324,7 @@ namespace Core.Seeding
             {
                 Name = "prijemce",
                 Description = "Příjemce či kategorie příjemců osobních údaj",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(prijemceTag);
@@ -333,7 +333,7 @@ namespace Core.Seeding
             {
                 Name = "dozor_urad",
                 Description = "Název dozorového úřadu",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(dozorUradTag);
@@ -342,7 +342,7 @@ namespace Core.Seeding
             {
                 Name = "kontakt_dozor_urad",
                 Description = "Název dozorového úřadu",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(kontaktDozorUradTag);
@@ -351,7 +351,7 @@ namespace Core.Seeding
             {
                 Name = "subjekt_udaju",
                 Description = "V případě členění podmínek a vytváření specifických pravidel pro jednotlivé kategorie subjektů údajů je nutné rozlišit tyto subjekty a následně pro ně vytvořit zvláštní třídu a tagy. ",
-                Color = "",
+                Color = "#0000FF",
                 Category = subjectsCat        
             };
             context.Tags.Add(subjektUdajuTag);
@@ -371,7 +371,7 @@ namespace Core.Seeding
             {
                 Name = "K diskuzi tagy pro jednotlivé cookies",
                 Description = "",
-                Color = ""
+                Color = "#FF00FF"
             };
             context.TagCategories.Add(experimentalCat);
 
@@ -379,7 +379,7 @@ namespace Core.Seeding
             {
                 Name = "ukladani_informaci_v_zarizeni",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(ukladaniInformaciVZarizeniTag);
@@ -388,7 +388,7 @@ namespace Core.Seeding
             {
                 Name = "pristup_k_informacim_v_zarizeni",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(pristupKInformacimVZarizeniTag);
@@ -397,7 +397,7 @@ namespace Core.Seeding
             {
                 Name = "nastaveni_reklamy",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(nastaveniReklamyTag);
@@ -406,7 +406,7 @@ namespace Core.Seeding
             {
                 Name = "personalizovany_obsah",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(personalizovanyObsahTag);
@@ -415,7 +415,7 @@ namespace Core.Seeding
             {
                 Name = "profil_pro_personalizovany_obsah",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(profilProPersonalizovanyObsahTag);
@@ -424,7 +424,7 @@ namespace Core.Seeding
             {
                 Name = "mereni_vykonu_reklamy",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(mereniVykonuReklamyTag);
@@ -433,7 +433,7 @@ namespace Core.Seeding
             {
                 Name = "pouziti_vyzkumu_trhu",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(pouzitiVyzkumuTrhuTag);
@@ -442,7 +442,7 @@ namespace Core.Seeding
             {
                 Name = "vyber_personalizovane_reklamy",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(vyberPersonalizovaneReklamyTag);
@@ -451,7 +451,7 @@ namespace Core.Seeding
             {
                 Name = "vyvoj_a_zlepsovani",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(vyvojAZlepsovaniTag);
@@ -460,7 +460,7 @@ namespace Core.Seeding
             {
                 Name = "profil_pro_personalizovanou_reklamu",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(profilProPersonalizovanouReklamuTag);
@@ -469,7 +469,7 @@ namespace Core.Seeding
             {
                 Name = "mereni_vykonu_obsahu",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(mereniVykonuObsahuTag);
@@ -478,7 +478,7 @@ namespace Core.Seeding
             {
                 Name = "zpracovani_dalsimi_partnery",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(zpracovaniDalsimiPartneryTag);
@@ -487,7 +487,7 @@ namespace Core.Seeding
             {
                 Name = "nezbytne_cookies",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(nezbytneCookiesTag);
@@ -496,7 +496,7 @@ namespace Core.Seeding
             {
                 Name = "parovani_online_a_offline",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(parovaniOnlineAOfflineTag);
@@ -505,7 +505,7 @@ namespace Core.Seeding
             {
                 Name = "propojeni_zarizeni",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(propojeniZarizeniTag);
@@ -514,7 +514,7 @@ namespace Core.Seeding
             {
                 Name = "identifikace",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(identifikaceTag);
@@ -523,7 +523,7 @@ namespace Core.Seeding
             {
                 Name = "technicke_zajisteni_zobrazovani",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(technickeZajisteniZobrazovaniTag);
@@ -532,7 +532,7 @@ namespace Core.Seeding
             {
                 Name = "predchazeni_podvodum",
                 Description = "",
-                Color = "",
+                Color = "#FF00FF",
                 Category = experimentalCat        
             };
             context.Tags.Add(predchazeniPodvodumTag);