commit 773d120557e8d5661db7965b91637e59eb0873e8
Author: schenkj <schenkj@students.zcu.cz>
Date:   Wed Apr 13 21:49:09 2022 +0200

    Backend testing
    
    Skelet for backend testing

diff --git a/Backend/BackendTesting/AnotationTesting.cs b/Backend/BackendTesting/AnotationTesting.cs
new file mode 100644
index 0000000..6e86278
--- /dev/null
+++ b/Backend/BackendTesting/AnotationTesting.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class AnotationTesting
+    {
+    }
+}
diff --git a/Backend/BackendTesting/BackendTesting.csproj b/Backend/BackendTesting/BackendTesting.csproj
new file mode 100644
index 0000000..6caefd0
--- /dev/null
+++ b/Backend/BackendTesting/BackendTesting.csproj
@@ -0,0 +1,32 @@
+<Project Sdk="Microsoft.NET.Sdk">
+
+  <PropertyGroup>
+    <TargetFramework>net6.0</TargetFramework>
+    <Nullable>enable</Nullable>
+
+    <IsPackable>false</IsPackable>
+  </PropertyGroup>
+
+  <ItemGroup>
+    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.4" />
+    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="6.0.4">
+      <PrivateAssets>all</PrivateAssets>
+      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
+    </PackageReference>
+    <PackageReference Include="Microsoft.EntityFrameworkCore.Proxies" Version="6.0.4" />
+    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="6.0.4" />
+    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="6.0.4">
+      <PrivateAssets>all</PrivateAssets>
+      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
+    </PackageReference>
+    <PackageReference Include="Microsoft.Extensions.Logging.Console" Version="6.0.0" />
+    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.11.0" />
+    <PackageReference Include="MSTest.TestAdapter" Version="2.2.7" />
+    <PackageReference Include="MSTest.TestFramework" Version="2.2.7" />
+    <PackageReference Include="coverlet.collector" Version="3.1.0" />
+    <PackageReference Include="Selenium.WebDriver" Version="4.1.0" />
+    <PackageReference Include="Selenium.WebDriver.ChromeDriver" Version="100.0.4896.6000" />
+    <PackageReference Include="Selenium.WebDriver.GeckoDriver" Version="0.30.0.1" />
+  </ItemGroup>
+
+</Project>
diff --git a/Backend/BackendTesting/Constants.cs b/Backend/BackendTesting/Constants.cs
new file mode 100644
index 0000000..87a1398
--- /dev/null
+++ b/Backend/BackendTesting/Constants.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class Constants
+    {
+    }
+}
diff --git a/Backend/BackendTesting/DocumentManagementTesting.cs b/Backend/BackendTesting/DocumentManagementTesting.cs
new file mode 100644
index 0000000..94e08e7
--- /dev/null
+++ b/Backend/BackendTesting/DocumentManagementTesting.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class DocumentManagementTesting
+    {
+    }
+}
diff --git a/Backend/BackendTesting/FiltersTesting.cs b/Backend/BackendTesting/FiltersTesting.cs
new file mode 100644
index 0000000..2f3b3d9
--- /dev/null
+++ b/Backend/BackendTesting/FiltersTesting.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class FiltersTesting
+    {
+    }
+}
diff --git a/Backend/BackendTesting/ImportExportTesting.cs b/Backend/BackendTesting/ImportExportTesting.cs
new file mode 100644
index 0000000..eca0463
--- /dev/null
+++ b/Backend/BackendTesting/ImportExportTesting.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class ImportExportTesting
+    {
+    }
+}
diff --git a/Backend/BackendTesting/LoginTesting.cs b/Backend/BackendTesting/LoginTesting.cs
new file mode 100644
index 0000000..16ccff2
--- /dev/null
+++ b/Backend/BackendTesting/LoginTesting.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class LoginTesting
+    {
+    }
+}
diff --git a/Backend/BackendTesting/Main_Testing_Class.cs b/Backend/BackendTesting/Main_Testing_Class.cs
new file mode 100644
index 0000000..f5874f7
--- /dev/null
+++ b/Backend/BackendTesting/Main_Testing_Class.cs
@@ -0,0 +1,53 @@
+using Microsoft.VisualStudio.TestTools.UnitTesting;
+using OpenQA.Selenium;
+using OpenQA.Selenium.Chrome;
+using OpenQA.Selenium.Firefox;
+
+using System;
+using System.Collections;
+using System.Collections.Generic;
+using System.Threading;
+
+namespace BackendTesting
+{
+    [TestClass]
+    public class Main_Testing_Class
+    {
+        public IWebDriver fDriver = new FirefoxDriver();
+        public IWebDriver cDriver = new ChromeDriver();
+
+
+        [TestMethod]
+        public void DummyTutorial()
+        {
+            var webDriver = cDriver; //potrebuje "using selenium a chrome (firefox)
+            //priprava promennych
+            By googleSearchBar = By.Name("q");
+            By googleSearchButton = By.Name("btnK");
+            By searchName = By.XPath("//h2//span[text()='Elden Ring']");
+            By googleCoockieAggreementButton = By.Id("L2AGLb");
+
+            //prace s driverem
+            webDriver.Manage().Window.Maximize();
+            webDriver.Navigate().GoToUrl("https://www.google.com/");    //zakladni stranka
+            Thread.Sleep(500);
+
+            webDriver.FindElement(googleCoockieAggreementButton).Click();           //odsouhlaseni coockies
+            Thread.Sleep(500);
+
+            webDriver.FindElement(googleSearchBar).SendKeys("Elden Ring");          //napsat Elden Ring do hledani
+            Thread.Sleep(500);
+            webDriver.FindElement(googleSearchButton).Click();                      //kliknout na button pro poslani prikazu
+            Thread.Sleep(500);
+
+            var resultText = webDriver.FindElement(searchName);                     //najit pomoci xpath pozadovany element a ulozit si ho
+
+            Assert.IsTrue(resultText.Text == "Elden Ring"); //samotny test pro otestovani stazene hodnoty
+
+
+            webDriver.Quit();                                                          //ukonceni webdriveru
+        }
+
+
+    }
+}
diff --git a/Backend/BackendTesting/TagsManagementTesting.cs b/Backend/BackendTesting/TagsManagementTesting.cs
new file mode 100644
index 0000000..e5316b8
--- /dev/null
+++ b/Backend/BackendTesting/TagsManagementTesting.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class TagsManagementTesting
+    {
+    }
+}
diff --git a/Backend/BackendTesting/UserManagementTesting.cs b/Backend/BackendTesting/UserManagementTesting.cs
new file mode 100644
index 0000000..daa1a7b
--- /dev/null
+++ b/Backend/BackendTesting/UserManagementTesting.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class UserManagementTesting
+    {
+    }
+}
diff --git a/Backend/BackendTesting/Utils.cs b/Backend/BackendTesting/Utils.cs
new file mode 100644
index 0000000..0e77aea
--- /dev/null
+++ b/Backend/BackendTesting/Utils.cs
@@ -0,0 +1,12 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace BackendTesting
+{
+    internal class Utils
+    {
+    }
+}